Installer PHP4 sur votre serveur

age-devient-vieux-9

 

Bon si je vous écris cet article, c'est encore une fois une demande ...
Pour ma part, je suis bien sous php5, et php4 est une vraie bouse de vache !

Mais bon pour vous mes chers visiteurs, et admirateurs (oups je m'emballe ^^ )

 

Je vais vous livrer le secret de la jouvence éternel ... comment ne pas vieillir ...
Et bien sûr, tout en continuant à travailler sur une version qui a votre âge ...

 

Alors dans un premier temps on va ajouter un dépôt à votre source.list

 

On ouvre donc le fichier  /etc/apt/sources.list :

vim    /etc/apt/sources.list

 

Et on y ajoute un bon vieux dépôts qui a conservé PHP4  :
Appuyez sur "i" pour pouvoir éditer le fichier.
Rendez vous ensuite en bas du fichier et ajoutez la ligne suivante :

deb http://www.cecak.cz/debian/squeeze/php4/ ./

 

Vous pourrez après ça, fermer et enregistrer via le contrôle de touche echap + :wq!

 

Là il va vous falloir rafraîchir un peu votre liste de dépôts.
Saisissez à présent dans votre terminal :

apt-get update

 

ça risque de mouliner 10 bonnes secondes et hop, vous n'aurez plus qu'à rechercher php4 :

apt-cache search php4

 

C'est terminé, vous n'avez plus qu'a faire votre choix, parmi tous les packages contenant php4.

 

Une idée ? non ?  :

apt-get install php4

 

Youhou, vous avez réussi, vous êtes retourné à l'âge des dinosaures.

Partagez ce contenu

3 comments

Laisser une réponse

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *